<?php
/**
 * Business Way Theme Customizer
 *
 * @package Canyon Themes
 * @subpackage Business Way
 */
/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
if (!function_exists('business_way_customize_register')) :
    function business_way_customize_register($wp_customize)
    {
        $wp_customize->get_setting('blogname')->transport         = 'postMessage';
        $wp_customize->get_setting('blogdescription')->transport  = 'postMessage';
        $wp_customize->get_setting('header_textcolor')->transport = 'postMessage';

        /*default variable used in setting*/
        $default = business_way_get_default_theme_options();

        /**
         * Customizer setting
         */
        require get_template_directory() . '/canyonthemes/customizer/customizer-core.php';
        require get_template_directory() . '/canyonthemes/customizer/customizer-function.php';
        require get_template_directory() . '/canyonthemes/customizer/slider-section.php';
        require get_template_directory() . '/canyonthemes/customizer/footer-options.php';
        require get_template_directory() . '/canyonthemes/customizer/theme-options.php';
        require get_template_directory() . '/canyonthemes/customizer/header-info-section.php';
        require get_template_directory() . '/canyonthemes/customizer/header-types.php';
        require get_template_directory() . '/canyonthemes/customizer/layout-design-options.php';
        require get_template_directory() . '/canyonthemes/customizer/single-page-options.php';
        require get_template_directory() . '/canyonthemes/customizer/typography-options.php';
        require get_template_directory() . '/canyonthemes/customizer/color-options.php';
    }
    add_action('customize_register', 'business_way_customize_register');
endif;
/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */

if (!function_exists('business_way_customize_preview_js')) :
    function business_way_customize_preview_js()
    {
        wp_enqueue_script('business-way-customizer', get_template_directory_uri() . 'assets/js/customizer.js', array('customize-preview'), '1.0.1', true);
    }

    add_action('customize_preview_init', 'business_way_customize_preview_js');

endif;
