<?php
/**
 * Color Options
 *
 * @since 1.0.0
 */
$wp_customize->add_panel(
    'business_way_color_options',
    array(
        'priority'       => 100,
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => esc_html__('Theme Color Options', 'business-way'),
    )
);

/**
 * Basic Color Options Section
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'business_way_basic_color_option',
    array(
        'title'    => esc_html__('Basic Color Options', 'business-way'),
        'panel'    => 'business_way_color_options',
        'priority' => 3,
    )
);
/*
* Primary Color 
*/
$wp_customize->add_setting(
    'business_way_primary_color',
    array(
        'default'           => $default['business_way_primary_color'],
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'business_way_primary_color', array(
    'label'  => esc_html__('Primary Color', 'business-way'),
    'section'      => 'business_way_basic_color_option',
    'priority'     => 14,

)));


/**
 * Link Color 
 *
 * @since 1.0.0
 */

$wp_customize->add_setting(
    'business_way_link_color',
    array(
        'default'           => $default['business_way_link_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'business_way_link_color', array(
    'label'        => esc_html__('Link Color', 'business-way'),
    'section'      => 'business_way_basic_color_option',
    'priority'     => 14,

)));

/**
 * Link Hover Color 
 *
 * @since 1.0.0
 */

$wp_customize->add_setting(
    'business_way_link_hover_color',
    array(
        'default'           => $default['business_way_link_hover_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'business_way_link_hover_color', array(
    'label'        => esc_html__('Link Hover Color', 'business-way'),
    'section'      => 'business_way_basic_color_option',
    'priority'     => 14,

)));

/**
 * Top header Color Options Section
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'business_way_top_header_color_option',
    array(
        'title'    => esc_html__('Top Header Color Options', 'business-way'),
        'panel'    => 'business_way_color_options',
        'priority' => 3,
    )
);

/**
 * Top Header Background Color Options Section
 *
 * @since 1.0.0
 */
$wp_customize->add_setting(
    'business_way_top_header_background_color',
    array(
        'default'           => $default['business_way_top_header_background_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'business_way_top_header_background_color', array(
    'label'         => esc_html__('Top Header Background Color', 'business-way'),
    'section'       => 'business_way_top_header_color_option',
    'priority'      => 14,

)));

/**
 * Top Header Text Color
 *
 * @since 1.0.0
 */

$wp_customize->add_setting(
    'business_way_top_header_text_color',
    array(
        'default'           => $default['business_way_top_header_text_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'business_way_top_header_text_color', array(
    'label'         => esc_html__('Top Header Text Color', 'business-way'),
    'section'       => 'business_way_top_header_color_option',
    'priority'      => 14,

)));




/**
 * Menu Color Options Section
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'business_way_menu_color_option',
    array(
        'title'    => esc_html__('Menu Color Options', 'business-way'),
        'panel'    => 'business_way_color_options',
        'priority' => 3,
    )
);
/* 
* Menu Background Color
*
* @since 1.0.0
*/

$wp_customize->add_setting(
    'business_way_menu_background_color',
    array(
        'default'           => $default['business_way_menu_background_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'business_way_menu_background_color', array(
    'label'         => esc_html__('Menu Background Color', 'business-way'),
    'section'       => 'business_way_menu_color_option',
    'priority'      => 14,

)));

/* 
* Menu Text Color
*
* @since 1.0.0
*/

$wp_customize->add_setting(
    'business_way_menu_text_color',
    array(
        'default'           => $default['business_way_menu_text_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'business_way_menu_text_color', array(
    'label'         => esc_html__('Menu Text Color', 'business-way'),
    'section'       => 'business_way_menu_color_option',
    'priority'      => 14,

)));
/* 
* Menu Text Hover Color
*
* @since 1.0.0
*/

$wp_customize->add_setting(
    'business_way_menu_text_hover_color',
    array(
        'default'           => $default['business_way_menu_text_hover_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'business_way_menu_text_hover_color', array(
    'label'         => esc_html__('Menu Active/Hover Text Color', 'business-way'),
    'section'       => 'business_way_menu_color_option',
    'priority'      => 14,

)));


/*-----------------------------------------------------------------------------*/
/**
 * Top Footer Color
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'business_way_footer_color_option',
    array(
        'title'    => esc_html__('Footer Color Options', 'business-way'),
        'panel'    => 'business_way_color_options',
        'priority' => 3,
    )
);

$wp_customize->add_setting(
    'business_way_top_footer_background_color',
    array(
        'default'           => $default['business_way_top_footer_background_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'business_way_top_footer_background_color', array(
    'label'       => esc_html__('Top Footer Background Color', 'business-way'),
    'section'     => 'business_way_footer_color_option',
    'priority'    => 14,

)));

/**
 * Top Footer Text Color 
 *
 * @since 1.0.0
 */

$wp_customize->add_setting(
    'business_way_topfooter_text_color',
    array(
        'default'           => $default['business_way_topfooter_text_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'business_way_topfooter_text_color', array(
    'label'        => esc_html__('Top Footer Text Color', 'business-way'),
    'section'      => 'business_way_footer_color_option',
    'priority'     => 14,

)));


/*-----------------------------------------------------------------------------*/
/**
 * Bottom Footer Background Color
 *
 * @since 1.0.0
 */

$wp_customize->add_setting(
    'business_way_bottom_footer_background_color',
    array(
        'default'           => $default['business_way_bottom_footer_background_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'business_way_bottom_footer_background_color', array(
    'label'        => esc_html__('Bottom Footer Background Color', 'business-way'),
    'section'      => 'business_way_footer_color_option',
    'priority'     => 14,

)));


/**
 * Footer Text Color 
 *
 * @since 1.0.0
 */

$wp_customize->add_setting(
    'business_way_footer_text_color',
    array(
        'default'           => $default['business_way_footer_text_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'business_way_footer_text_color', array(
    'label'        => esc_html__('Bottom Footer Text Color', 'business-way'),
    'section'      => 'business_way_footer_color_option',
    'priority'     => 14,

)));


/**
 * Sidebar Color 
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'business_way_sidebar_color_option',
    array(
        'title'    => esc_html__('Sidebar Color Options', 'business-way'),
        'panel'    => 'business_way_color_options',
        'priority' => 3,
    )
);

$wp_customize->add_setting(
    'business_way_sidebar_background_color',
    array(
        'default'           => $default['business_way_sidebar_background_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'business_way_sidebar_background_color', array(
    'label'        => esc_html__('Sidebar Background Color', 'business-way'),
    'section'      => 'business_way_sidebar_color_option',
    'priority'     => 14,

)));



/**
 * Heading Text Color 
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'business_way_heading_color_option',
    array(
        'title'    => esc_html__('Heading Color Options', 'business-way'),
        'panel'    => 'business_way_color_options',
        'priority' => 3,
    )
);


$wp_customize->add_setting(
    'business_way_heading_text_color',
    array(
        'default'           => $default['business_way_heading_text_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'business_way_heading_text_color', array(
    'label'        => esc_html__('H1 - H6 Text Color', 'business-way'),
    'section'      => 'business_way_heading_color_option',
    'priority'     => 14,

)));

/**
 * Slider Color
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'business_way_slider_color_option',
    array(
        'title'    => esc_html__('Slider Color Options', 'business-way'),
        'panel'    => 'business_way_color_options',
        'priority' => 3,
    )
);

/**
 * Slider Text Color
 *
 * @since 1.0.0
 */

$wp_customize->add_setting(
    'business_way_slider_text_color',
    array(
        'default'           => $default['business_way_slider_text_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'business_way_slider_text_color', array(
    'label'        => esc_html__('Slider Text Color', 'business-way'),
    'section'      => 'business_way_slider_color_option',
    'priority'     => 14,

)));

/**
 * Slider button Color
 *
 * @since 1.0.0
 */

$wp_customize->add_setting(
    'business_way_slider_button_1_color',
    array(
        'default'           => $default['business_way_slider_button_1_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'business_way_slider_button_1_color', array(
    'label'        => esc_html__('Slider Button One Color', 'business-way'),
    'section'      => 'business_way_slider_color_option',
    'priority'     => 14,

)));

/**
 * Slider button two color
 *
 * @since 1.0.0
 */

$wp_customize->add_setting(
    'business_way_slider_button_2_color',
    array(
        'default'           => $default['business_way_slider_button_2_color'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'business_way_slider_button_2_color', array(
    'label'        => esc_html__('Slider Button One Color', 'business-way'),
    'section'      => 'business_way_slider_color_option',
    'priority'     => 14,

)));