<?php
/**
 * Business Way default theme options.
 *
 * @package Canyon Themes
 * @subpackage Business Way
 */

if ( !function_exists('business_way_get_default_theme_options' ) ) :

    /**
     * Get default theme options.
     *
     * @since 1.0.0
     *
     * @return array Default theme options.
     */
    function business_way_get_default_theme_options()
    {

        $default = array();

        // Homepage Slider Section
        $default['business_way_homepage_slider_option']               = 'hide';
        $default['business_way_homepage_slider_prev_next']            = 0;
        $default['business_way_homepage_slider_auto_slide']           = 0;
        $default['business_way_homepage_slider_pagination']           = 0;
        $default['business_way_homepage_slider_thirdparty']           = '';

        // Home Page Top header Info.
        $default['business_way_top_header_section']                   = 'hide';
        $default['business_way_email_icon']                           = 'fa-envelope-o';
        $default['business_way_top_header_email']                     = '';
        $default['business_way_social_link_hide_option']              = 0;
        $default['business_way_login_register_link']                  = '';
        $default['business_way_login_register_text']                  = esc_html__('Login/Register', 'business-way');
        $default['business_way_top_header_types']                     = 'default';

        //default header on menu section
        $default['business_way_header_search_icon']                   = 0;
        $default['business_way_header_woocommerce_icon']              = 0;

        // Header Type One
        $default['business_way_header_contact_form']                  = '';
        $default['business_way_header_contact_form_text']             = esc_html__('Request free consultation', 'business-way');
        $default['business_way_header_contact_icon']                  = 'fa-comments';
        $default['business_way_header_location_text']                 = esc_html__('New Road, California', 'business-way');
        $default['business_way_header_location_sub_text']             = esc_html__('New - 010, 406 Building', 'business-way');
        $default['business_way_header_location_icon']                 = 'fa-map-marker';
        $default['business_way_header_phone_number']                  = esc_html__('012 3456 7890 4569', 'business-way');
        $default['business_way_header_phone_number_sub_text']         = esc_html__('Free Consultation', 'business-way');
        $default['business_way_header_phone_icon']                    = 'fa-phone';

        // Blog.
        $default['business_way_sidebar_layout_option']                = 'right-sidebar';
        $default['business_way_blog_title_option']                    = esc_html__('Latest Blog', 'business-way');
        $default['business_way_blog_excerpt_option']                  = 'excerpt';
        $default['business_way_description_length_option']            = 40;
        $default['business_way_exclude_cat_blog_archive_option']      = '';
        $default['business_way_blog_page_author']                     = 0;
        $default['business_way_blog_page_date']                       = 0;
        $default['business_way_blog_page_comments']                   = 0;
        $default['business_way_post_thumbnail_image']                 = 0;
        $default['business_way_blog_pagination_types']                = 'numeric'; 

        

        //Single Page
        $default['business_way_show_feature_image_single_option']     = 0;
        $default['business_way_show_author_meta']                     = 0;
        $default['business_way_show_date_meta']                       = 0;
        $default['business_way_show_comments_meta']                   = 0;
        $default['business_way_related_post_show_hide']               = 0;
        $default['business_way_related_post_title']                   = esc_html__('Related Posts', 'business-way');
        $default['business_way_related_hide_featured_image']          = 1;
        $default['business_way_related_post_number']                  = 3;
        $default['business_way_related_posts_title_show']             = 1;
        $default['business_way_related_posts_excerpt_show']           = 1;
        $default['business_way_related_posts_meta_options']           = 1;
        $default['business_way_author_info_show_hide_section']        = 0;


        // Animation Option.
        $default['business_way_animation_option']                     = 0;

        // footer section.
        $default['business_way_top_footer_types']                    = 'default';
        $default['business_way_copyright']                            = esc_html__('Copyright All Rights Reserved', 'business-way');
        $default['business_way_footer_go_to_top']                     = 1;
        $default['business_way_footer_powered_text']                  =  esc_html__('Proudly Powered By WordPress. Theme Business Way Pro by Canyon Themes', 'business-way'); 

        //Typography Options
        //Paragraph Font Options
        $default['business_way_paragraph_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Poppins:400,500,600,700,800,900|Source+Sans+Pro:300,400,600','business-way');
        $default['business_way_paragraph_font_family_name'] = esc_html__('Source Sans Pro, sans-serif','business-way');
        $default['business_way_paragraph_font_weight'] = '';
        $default['business_way_paragraph_line_height'] = 1.5;
        $default['business_way_paragraph_font_size'] = 14;
        $default['business_way_paragraph_letter_spacing'] = 0;

        //Site Title Font Options
        $default['business_way_site_title_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Poppins:400,500,600,700,800,900|Source+Sans+Pro:300,400,600','business-way');
        $default['business_way_site_title_font_family_name'] = esc_html__('Montserrat, sans-serif','business-way');
        $default['business_way_site_title_letter_spacing'] = 0;
        $default['business_way_site_title_font_weight']    = 700;
        $default['business_way_site_title_font_size'] = 30;

        //Site Tagline Font Options
        $default['business_way_tagline_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Poppins:400,500,600,700,800,900|Source+Sans+Pro:300,400,600','business-way');
        $default['business_way_tagline_font_family_name'] = esc_html__('Source Sans Pro, sans-serif','business-way');
        $default['business_way_tagline_letter_spacing'] = 0;
        $default['business_way_tagline_font_weight']    = 700;
        $default['business_way_tagline_font_size'] = 20;

        //H1 default value
        $default['business_way_h1_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Poppins:400,500,600,700,800,900|Source+Sans+Pro:300,400,600','business-way');
        $default['business_way_h1_font_family_name'] = esc_html__('Montserrat, sans-serif','business-way');
        $default['business_way_h1_letter_spacing'] = 0;
        $default['business_way_h1_font_weight']    = 700;
        $default['business_way_h1_font_size'] = 28;

        //H2 default value
        $default['business_way_h2_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Poppins:400,500,600,700,800,900|Source+Sans+Pro:300,400,600','business-way');
        $default['business_way_h2_font_family_name'] = esc_html__('Montserrat, sans-serif','business-way');
        $default['business_way_h2_letter_spacing'] = 0;
        $default['business_way_h2_font_weight']    = 700;
        $default['business_way_h2_font_size'] = 25;

        //H3 default value
        $default['business_way_h3_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Poppins:400,500,600,700,800,900|Source+Sans+Pro:300,400,600','business-way');
        $default['business_way_h3_font_family_name'] = esc_html__('Montserrat, sans-serif','business-way');
        $default['business_way_h3_letter_spacing'] = 0;
        $default['business_way_h3_font_weight']    = 700;
        $default['business_way_h3_font_size'] = 25;

        //H4 default value
        $default['business_way_h4_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Poppins:400,500,600,700,800,900|Source+Sans+Pro:300,400,600','business-way');
        $default['business_way_h4_font_family_name'] = esc_html__('Montserrat, sans-serif','business-way');
        $default['business_way_h4_letter_spacing'] = 0;
        $default['business_way_h4_font_weight']    = 700;
        $default['business_way_h4_font_size'] = 22;

        //H5 default value
        $default['business_way_h5_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Poppins:400,500,600,700,800,900|Source+Sans+Pro:300,400,600','business-way');
        $default['business_way_h5_font_family_name'] = esc_html__('Montserrat, sans-serif','business-way');
        $default['business_way_h5_letter_spacing'] = 0;
        $default['business_way_h5_font_weight']    = 700;
        $default['business_way_h5_font_size'] = 18;
        
        //H6 default value
        $default['business_way_h6_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Poppins:400,500,600,700,800,900|Source+Sans+Pro:300,400,600','business-way');
        $default['business_way_h6_font_family_name'] = esc_html__('Montserrat, sans-serif','business-way');
        $default['business_way_h6_letter_spacing'] = 0;
        $default['business_way_h6_font_weight']    = 700;
        $default['business_way_h6_font_size'] = 16;


        //Menu Font Options
        $default['business_way_menu_font_family_url'] = esc_url('https://fonts.googleapis.com/css?family=Poppins:400,500,600,700,800,900|Source+Sans+Pro:300,400,600','business-way');
        $default['business_way_menu_font_family_name'] = esc_html__('Source Sans Pro, sans-serif','business-way');
        $default['business_way_menu_font_weight'] = 400;
        $default['business_way_menu_line_height'] = 1.2;
        $default['business_way_menu_font_size'] = 16;
        $default['business_way_menu_letter_spacing'] = 0;

        // Color Option.
        $default['business_way_primary_color']                        = '#052c7d';
        $default['business_way_top_header_background_color']          = '#052c7d';
        $default['business_way_top_footer_background_color']          = '#ffffff';
       
        
        // Color Option.
        $default['business_way_primary_color']                        = '#052c7d';
        $default['business_way_top_header_background_color']          = '#052c7d';
        $default['business_way_bottom_footer_background_color']       = '#111315';
        $default['business_way_top_header_text_color '] = '#ffffff';
        $default['business_way_top_header_text_color']                = '#ffffff';
        $default['business_way_menu_background_color']                = '#333333';
        $default['business_way_menu_text_color']                      = '#ffffff';
        $default['business_way_menu_text_hover_color']                = '#052c7d';
        $default['business_way_footer_text_color']                    = '#999';
        $default['business_way_topfooter_text_color']                 = '#7a7a7a';
        $default['business_way_sidebar_background_color']             = '#ffffff';
        $default['business_way_link_color']                           = '#ec553';
        $default['business_way_link_hover_color']                     = '#052c7d';
        $default['business_way_heading_text_color']                   = '#ffffff';
        $default['business_way_slider_text_color']                    = '#ffffff';
        $default['business_way_slider_button_2_color']                = '#052c7d';
        $default['business_way_slider_button_1_color']                = '#052c7d';


        $default['business_way_front_page_hide_option']               = 0;
        $default['business_way_post_search_placeholder_option']       = esc_html__('Search', 'business-way');
        $default['business_way_color_reset_option']                   = 'do-not-reset';
        $default['business_way_slider_option']                       = '';

        // Pass through filter.
        $default                                               = apply_filters( 'business_way_get_default_theme_options', $default );
        return $default;
    }
endif;
