<?php
/**
 * Business Way Header Types
 *
 */
$wp_customize->add_section(
    'business_way_top_header_types_section',
    array(
        'priority'   => 1,
        'capability' => 'edit_theme_options',
        'panel'      => 'business_way_theme_options',
        'title'      => esc_html__('Header Types', 'business-way'),
    )
);

        /*callback functions header section*/
        if ( !function_exists('business_way_header_header_1_callback') ) :
            function business_way_header_header_1_callback(){
                $header_types = esc_html(business_way_get_option('business_way_top_header_types'));
                if( 'header-1' == $header_types ){
                    return true;
                }
                else{
                    return false;
                }
            }
        endif;

/**
 * Select Heade Types
 *
 */
$wp_customize->add_setting(
    'business_way_top_header_types',
    array(
        'default'           => $default['business_way_top_header_types'],
        'sanitize_callback' => 'business_way_sanitize_select',
    )
);

$header_types_selection = business_way_header_types();
$wp_customize->add_control(
    'business_way_top_header_types',
    array(
        'type'               => 'select',
        'label'              => esc_html__('Select Header Types', 'business-way'),
        'description'        => esc_html__('Choose one best header types that suits you.', 'business-way'),
        'section'            => 'business_way_top_header_types_section',
        'choices'            => $header_types_selection,
        'priority'           => 5
    )
);

/**
 * Search Icon
 *
 */
$wp_customize->add_setting(
    'business_way_header_search_icon',
    array(
        'default'           => $default['business_way_header_search_icon'],
        'sanitize_callback' => 'business_way_sanitize_checkbox',
    )
);

$wp_customize->add_control(
    'business_way_header_search_icon',
    array(
        'type'               => 'checkbox',
        'label'              => esc_html__('Show Search', 'business-way'),
        'description'        => esc_html__('Hide Search from the header', 'business-way'),
        'section'            => 'business_way_top_header_types_section',
        'priority'           => 5
    )
);

/**
 * WooCommerce Icons
 *
 */
if ( class_exists( 'WooCommerce' ) ) { 
    $wp_customize->add_setting(
        'business_way_header_woocommerce_icon',
        array(
            'default'           => $default['business_way_header_woocommerce_icon'],
            'sanitize_callback' => 'business_way_sanitize_checkbox',
        )
    );

    $wp_customize->add_control(
        'business_way_header_woocommerce_icon',
        array(
            'type'               => 'checkbox',
            'label'              => esc_html__('Show WooCommerce Icon', 'business-way'),
            'description'        => esc_html__('This options will enable only WooCommerce Plugin Installed.', 'business-way'),
            'section'            => 'business_way_top_header_types_section',
            'priority'           => 5
        )
    );
}

/**
 * Contact Form 7 shortcode section for header consultation
 *
 */
$wp_customize->add_setting(
    'business_way_header_contact_form',
    array(
        'default'           => $default['business_way_header_contact_form'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'business_way_header_contact_form',
    array(
        'type'               => 'text',
        'label'              => esc_html__('Contact Form Shortcode', 'business-way'),
        'description'        => esc_html__('Put Contact Form 7 Shortcode', 'business-way'),
        'section'            => 'business_way_top_header_types_section',
        'priority'           => 5,
        'active_callback'  => 'business_way_header_header_1_callback'
    )
);

$wp_customize->add_setting(
    'business_way_header_contact_form_text',
    array(
        'default'           => $default['business_way_header_contact_form_text'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'business_way_header_contact_form_text',
    array(
        'type'               => 'text',
        'label'              => esc_html__('Contact Icon Text', 'business-way'),
        'description'        => esc_html__('Write the text for contact button', 'business-way'),
        'section'            => 'business_way_top_header_types_section',
        'priority'           => 5,
        'active_callback'  => 'business_way_header_header_1_callback'
    )   
);

$wp_customize->add_setting(
    'business_way_header_contact_icon',
    array(
        'default'           => $default['business_way_header_contact_icon'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'business_way_header_contact_icon',
    array(
        'type'               => 'text',
        'label'              => esc_html__('Contact Icon ', 'business-way'),
        'description'        => esc_html__('Put Font awesome icon to dispay on the button', 'business-way'),
        'section'            => 'business_way_top_header_types_section',
        'priority'           => 5,
        'active_callback'  => 'business_way_header_header_1_callback'
    )   
);

/**
 * Location Text
 *
 */
$wp_customize->add_setting(
    'business_way_header_location_text',
    array(
        'default'           => $default['business_way_header_location_text'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'business_way_header_location_text',
    array(
        'type'               => 'text',
        'label'              => esc_html__('Location Text', 'business-way'),
        'description'        => esc_html__('Write your location here.', 'business-way'),
        'section'            => 'business_way_top_header_types_section',
        'priority'           => 5,
        'active_callback'  => 'business_way_header_header_1_callback'
    )
);
/**
 * Location Text
 *
 */
$wp_customize->add_setting(
    'business_way_header_location_sub_text',
    array(
        'default'           => $default['business_way_header_location_sub_text'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'business_way_header_location_sub_text',
    array(
        'type'               => 'text',
        'label'              => esc_html__('Location Sub Text', 'business-way'),
        'description'        => esc_html__('Write your location sub text here.', 'business-way'),
        'section'            => 'business_way_top_header_types_section',
        'priority'           => 5,
        'active_callback'  => 'business_way_header_header_1_callback'
    )
);
/**
 * Location Icon
 *
 */
$wp_customize->add_setting(
    'business_way_header_location_icon',
    array(
        'default'           => $default['business_way_header_location_icon'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'business_way_header_location_icon',
    array(
        'type'               => 'text',
        'label'              => esc_html__('Location Map Icon', 'business-way'),
        'description'        => esc_html__('Font awesome location map icon.', 'business-way'),
        'section'            => 'business_way_top_header_types_section',
        'priority'           => 5,
        'active_callback'  => 'business_way_header_header_1_callback'
    )
);


/**
 * Phone Number
 *
 */
$wp_customize->add_setting(
    'business_way_header_phone_number',
    array(
        'default'           => $default['business_way_header_phone_number'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'business_way_header_phone_number',
    array(
        'type'               => 'text',
        'label'              => esc_html__('Phone Number', 'business-way'),
        'description'        => esc_html__('Write Phone Number Here.', 'business-way'),
        'section'            => 'business_way_top_header_types_section',
        'priority'           => 5,
        'active_callback'  => 'business_way_header_header_1_callback'
    )
);

/**
 * Phone Number sub text
 *
 */
$wp_customize->add_setting(
    'business_way_header_phone_number_sub_text',
    array(
        'default'           => $default['business_way_header_phone_number_sub_text'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'business_way_header_phone_number_sub_text',
    array(
        'type'               => 'text',
        'label'              => esc_html__('Phone Number Sub Text', 'business-way'),
        'description'        => esc_html__('Write Phone Number sub Text Here.', 'business-way'),
        'section'            => 'business_way_top_header_types_section',
        'priority'           => 5,
        'active_callback'  => 'business_way_header_header_1_callback'
    )
);

/**
 * Phone Icon
 *
 */
$wp_customize->add_setting(
    'business_way_header_phone_icon',
    array(
        'default'           => $default['business_way_header_phone_icon'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'business_way_header_phone_icon',
    array(
        'type'               => 'text',
        'label'              => esc_html__('Phone Icon', 'business-way'),
        'description'        => esc_html__('Write Phone Number font awesome icon.', 'business-way'),
        'section'            => 'business_way_top_header_types_section',
        'priority'           => 5,
        'active_callback'  => 'business_way_header_header_1_callback'
    )
);