<?php
/**
 * Home page hooks
 * It inclides slider and files of home page. 
 * Check front-page.php file where hook loaded
 * @since Business Way 1.0.0
 *
 * @param null
 * @return void
 *
 */
if( ! function_exists( 'business_way_home_page_section_hook' ) ):
      function business_way_home_page_section_hook() {
        $third_slider_text = wp_kses_post(business_way_get_option('business_way_homepage_slider_thirdparty'));
            if(empty($third_slider_text)){
                get_template_part( 'canyonthemes/home-section/section', 'slider');
            }else{
                echo do_shortcode($third_slider_text);
            }
     }
   endif;
add_action( 'business_way_home_page_section', 'business_way_home_page_section_hook', 10 );


/**
 * Business Way Header Types
 * @since Business Way 1.0.0
 *
 * @param null
 * @return void
 *
 */
if ( !function_exists('business_way_header_types_hooks') ) :
  function business_way_header_types_hooks() { 
    $header_types = business_way_get_option('business_way_top_header_types');
    if( $header_types == 'default'){
         get_template_part( 'template-parts/header/default', 'header' );
    }
    elseif($header_types == 'header-1'){
        get_template_part( 'template-parts/header/header', '1' );
    }
    elseif($header_types == 'header-2'){
        get_template_part( 'template-parts/header/header', '2' );
    }
    else{
        get_template_part( 'template-parts/header/header', '3' );
    }
} 
endif;
add_action( 'business_way_header_types_home', 'business_way_header_types_hooks', 10 );




/**
 * Business Way Breadcrumb
 * @since Business Way 1.0.0
 *
 * @param null
 * @return void
 *
 */
if ( !function_exists('business_way_breadcrumb') ) :
  function business_way_breadcrumb() { 
		business_way_breadcrumb_trail();

} 
endif;
add_action( 'business_way_breadcrumb_hook', 'business_way_breadcrumb', 10 );


/**
 * define size of logo.
 */
if (!function_exists('business_way_custom_logo_setup')) :
    function business_way_custom_logo_setup()
    {
        add_theme_support('custom-logo', array(
            'height'      => 35,
            'width'       => 190,
            'flex-height' => true,
            'flex-width'  => true,
        ));
    }
add_action('after_setup_theme', 'business_way_custom_logo_setup');
endif;

/**
 * enqueue Script for admin dashboard.
 */

if (!function_exists('business_way_widgets_backend_enqueue')) :
    function business_way_widgets_backend_enqueue($hook)
    {
        
      if ('widgets.php' != $hook) {
            return;
        }

        wp_register_script('business-way-custom-widgets', get_template_directory_uri() . '/assets/js/widgets.js', array('jquery'), true);
        wp_enqueue_media();
        wp_enqueue_script('business-way-custom-widgets');

        wp_enqueue_style('business-way-pt-admin', get_template_directory_uri() . '/assets/css/pt-admin-css.css', array(), '2.0.0');  
    }

    add_action('admin_enqueue_scripts', 'business_way_widgets_backend_enqueue');
endif;

/**
 * enqueue Admins style for admin dashboard.
 */

if ( !function_exists( 'business_way_admin_css_enqueue' ) ) :
    
    function business_way_admin_css_enqueue($hook)
    
    {
        if ( 'post.php' != $hook ) {
            return;
        }
        wp_enqueue_style('business-way-admin', get_template_directory_uri() . '/assets/css/admin.css', array(), '2.0.0');
        wp_enqueue_style('business-way-pt-admin', get_template_directory_uri() . '/assets/css/pt-admin-css.css', array(), '2.0.0');  

        wp_register_script('business-way-page-builder-widgets', get_template_directory_uri() . '/assets/js/page-builder-widgets.js', array('jquery'), true);
        wp_enqueue_media();
        wp_enqueue_script('business-way-page-builder-widgets');

      
         }
    add_action('admin_enqueue_scripts', 'business_way_admin_css_enqueue');
endif;


/**
 * enqueue Admins style for admin dashboard.
 */
if ( !function_exists( 'business_way_admin_css_enqueue_new_post')) :
    
    function business_way_admin_css_enqueue_new_post( $hook )
    
    {
        if ( 'post-new.php' != $hook ) {
            return;
        }

        wp_enqueue_style('business-way-admin', get_template_directory_uri() . '/assets/css/admin.css', array(), '2.0.0');

        wp_enqueue_style('business-way-pt-admin', get_template_directory_uri() . '/assets/css/pt-admin-css.css', array(), '2.0.0');  


        wp_register_script('business-way-page-builder-widget', get_template_directory_uri() . '/assets/js/page-builder-widgets.js', array('jquery'), true);

        wp_enqueue_media();

        wp_enqueue_script('business-way-page-builder-widget');
    }
    add_action( 'admin_enqueue_scripts', 'business_way_admin_css_enqueue_new_post' );
endif;

/**
 * remove [..] from excerpt
 * =====================================
 */
if ( !function_exists( 'business_way_excerpt_more')) :
function business_way_excerpt_more( $more ) {
    if( !is_admin() ){
     return '';
    }
}
add_filter('excerpt_more', 'business_way_excerpt_more');
endif;
/**
 * Goto Top functions
 *
 * @since Business Way 1.0.0
 *
 */
if (!function_exists('business_way_go_to_top' )) :
    function business_way_go_to_top()
    {
         $business_way_to_top = business_way_get_option('business_way_footer_go_to_top');                
         if( $business_way_to_top == 1 )
         {
            ?>
            <a id="toTop" class="go-to-top" href="#" title="<?php esc_attr_e('Go to Top', 'business-way'); ?>">
                    <i class="fa fa-angle-double-up"></i>
            </a>
        <?php
        }
    }
add_action('business_way_go_to_top_hook', 'business_way_go_to_top', 20 );
endif;

/**
 * Cart Icon In header
 *
 * @since Business Way 1.0.0
 *
 */
if ( !function_exists('business_way_woo_cart') ) :
    function business_way_woo_cart() {        
        $cart_show = absint(business_way_get_option('business_way_header_woocommerce_icon'));
        if ( class_exists( 'WooCommerce' ) && $cart_show == 1 ) { ?>
            <div class="dropdown">
            <div class="cart-btn">
                <a href="<?php echo esc_url( wc_get_cart_url() ); ?>">
                    <i class="fa fa-shopping-cart"></i>
                    <span class="badge"><?php 
                     	echo WC()->cart->get_cart_contents_count(); ?>
	                </span>
                </a>
                    <ul class="dropdown-menu cart-list">                         
                        <?php if( !is_cart () ) { ?>
	                            <li>
	                                <?php the_widget( 'WC_Widget_Cart', '' ); ?>
	                            </li>
	                            <?php } ?>		                        
                    </ul>
                </div>
            </li>
        <?php } 
    }
add_action( 'business_way_woo_cart_hook', 'business_way_woo_cart' );
endif;

/**
 * Search Icons
 * =====================================
 */
if ( !function_exists('business_way_header_search_icon') ) :
    function business_way_header_search_icon() { 
        $search = absint(business_way_get_option('business_way_header_search_icon')); 
            if($search == 1 ){ ?>
                <button class="search-box-btn dropdown-toggle" type="button" id="dropdownMenu3" data-toggle="dropdown"><span class="fa fa-search"></span></button>
                    <ul class="dropdown-menu pull-right search-panel">
                        <li class="panel-outer">
                            <div class="form-container">
                                    <div class="form-group">
                                        <?php get_search_form(); ?>
                                    </div>
                            </div>
                        </li>
                    </ul>
        <?php }
    }
add_action( 'header_search_icon', 'business_way_header_search_icon' );
endif;

/**
 * Exclude category in blog page
 * @since Business Way 1.0.0
 * @param null
 * @return int
 */
if (!function_exists('business_way_exclude_category_in_blog_page')) :
    function business_way_exclude_category_in_blog_page($query)
    {
     if ($query->is_home && $query->is_main_query())
        {
            $catid = business_way_get_option('business_way_exclude_cat_blog_archive_option');
            $exclude_categories = $catid;
            if (!empty($exclude_categories))
            {
                $cats = explode(',', $exclude_categories);
                $cats = array_filter($cats, 'is_numeric');
                $string_exclude = '';
                echo $string_exclude;
                if (!empty($cats))
                {
                   $string_exclude = '-' . implode(',-', $cats);
                   $query->set('cat', $string_exclude);
                }
            }
        }
        return $query;
    }
endif;
add_filter('pre_get_posts', 'business_way_exclude_category_in_blog_page');


/**
 * Run ajax request.
*/
if ( ! function_exists('business_way_wp_pages_plucker') ) :
    /**
    * Sending pages with ids
    */
    function business_way_wp_pages_plucker()
    {
        $pages = get_pages(
            array (
                'parent'  => 0, // replaces 'depth' => 1,
            )
        );
        $ids = wp_list_pluck( $pages, 'post_title', 'ID' );
        return wp_send_json($ids);
    }
endif;
add_action( 'wp_ajax_business_way_wp_pages_plucker', 'business_way_wp_pages_plucker' );
add_action( 'wp_ajax_nopriv_business_way_wp_pages_plucker', 'business_way_wp_pages_plucker' );

/**
 * Meta Fields in Post and Related
 *
 * @since Business Way 1.0.0
 *
 * @param int $post_id
 * @return void
 *
*/
if ( !function_exists('business_way_meta_fields_section') ) :

    function business_way_meta_fields_section( $post_id ) {
        /**
         * business_way_author information section 
         * @since Business Way 1.0.0
         *
        */
        ?>
        <div class="meta-fields">  
            <div class="date">
                <span><?php echo esc_html( get_the_date('M') ); ?></span>
                <span><?php echo esc_html( get_the_date('d') ); ?></span>
                <span><?php echo esc_html( get_the_date('Y') ); ?></span>
            </div>            
            <div class="text-left author-post">
              <a href="<?php echo esc_url( get_author_posts_url(get_the_author_meta('ID')) ); ?> "><?php the_author(); ?></a>
            </div>
        </div>
<?php  }
endif;
add_action( 'business_way_meta_fields_section_action', 'business_way_meta_fields_section', 10, 1 );

/**
 * Display related posts from same category
 *
 * @since Business Way 1.0.0
 *
 * @param int $post_id
 * @return void
 *
*/
if ( !function_exists('business_way_related_post_action') ) :

    function business_way_related_post_action( $post_id ) {

        $related_post_hide = absint(business_way_get_option( 'business_way_related_post_show_hide'));
        $related_post_title = esc_html(business_way_get_option('business_way_related_post_title'));
        $related_post_image = business_way_get_option('business_way_related_hide_featured_image');
        $related_post_number = absint(business_way_get_option('business_way_related_post_number'));
        $related_posts_title = absint(business_way_get_option('business_way_related_posts_title_show'));
        $related_posts_excerpt = absint(business_way_get_option('business_way_related_posts_excerpt_show'));
        $related_post_meta = absint(business_way_get_option('business_way_related_posts_meta_options'));

        if( 0 == $related_post_hide ){
            return 0;
        }
        $categories = get_the_category( $post_id );
        if ($categories) {
            $category_ids = array();
            foreach ($categories as $category) {
                $category_ids[] = $category->term_id;
            }
            ?>
            <div class="related-pots-block">
                <h2 class="widget-title">
                    <?php 
                        if(!empty($related_post_title) && 1 == $related_post_hide){
                            esc_html_e($related_post_title); 
                        } ?>
                </h2>
                <ul class="related-post clear row">
                    <?php
                    $business_way_cat_post_args = array(
                        'category__in'       => $category_ids,
                        'post__not_in'       => array($post_id),
                        'post_type'          => 'post',
                        'posts_per_page'     => $related_post_number,
                        'post_status'        => 'publish',
                        'ignore_sticky_posts'=> true
                    );
                    $business_way_featured_query = new WP_Query( $business_way_cat_post_args );

                    while ( $business_way_featured_query->have_posts() ) : $business_way_featured_query->the_post();
                        ?>
                        <div class="col-sm-4">
                            <li class=" related-box">
                                <?php
                                if ( has_post_thumbnail() && $related_post_image ):
                                    ?>
                                    <figure class="widget-image">
                                        <a href="<?php the_permalink()?>">
                                            <?php the_post_thumbnail('thumbnail'); ?>
                                        </a>
                                    </figure>
                                <?php
                                endif;

                                    if( $related_post_meta == 1 ) {
                                        /**
                                         * business_way_meta_fields_section hook
                                         * @since Business Way 1.0.0
                                         *
                                         * @hooked business_way_meta_fields_section_action -  10
                                         */
                                        do_action('business_way_meta_fields_section_action');
                                    } ?> 
                                <div class="featured-desc">
                                    <?php if( $related_posts_title == 1 ) { ?>
                                        <a href="<?php the_permalink()?>">
                                            <h2 class="title">
                                               <?php the_title(); ?>
                                            </h2>
                                        </a>
                                    <?php } ?>
                                    <?php if( $related_posts_excerpt == 1 ){ ?>
                                        <p>
                                            <?php echo esc_html( wp_trim_words( get_the_content(), 10) ); ?>
                                        </p>
                                    <?php } ?>
                                </div>
                            </li>
                        </div>
                    <?php
                    endwhile;
                    wp_reset_postdata();
                    ?>
                </ul>
            </div> <!-- .related-post-block -->
        <?php
        }
    }
endif;
add_action( 'business_way_related_post', 'business_way_related_post_action', 10, 1 );


/**
 * author info
 *
 * @since Business Way 1.0.0
 *
 * @param int $post_id
 * @return void
 *
*/
if ( !function_exists('business_way_author_info_display') ) :

    function business_way_author_info_display( $post_id ) {
        /**
         * business_way_author information section 
         * @since Business Way 1.0.0
         *
        */
        $author_info_show_hide = absint(business_way_get_option('business_way_author_info_show_hide_section'));
            if( 1 == $author_info_show_hide ){
            get_template_part( 'template-parts/content', 'author');             
        }
 }
endif;
add_action( 'business_way_author_info_display_action', 'business_way_author_info_display', 10, 1 );

/**
 * Register a section for user info
*/

if ( !function_exists('business_way_user_info_meta_boxes') ) :

    /**
     * Meta box for Users info registered
     */
    function business_way_user_info_meta_boxes( $user_contact_method ) {

        $user_contact_method['facebook'] = __( 'Facebook Url', 'business-way' );
        $user_contact_method['twitter'] = __( 'Twitter Url', 'business-way' );
        $user_contact_method['linkedin'] = __( 'Linkedin Url', 'business-way' );
        $user_contact_method['youtube'] = __( 'Youtube Url', 'business-way' );
        $user_contact_method['google_plus'] = __( 'Google Plus Url', 'business-way' );
        $user_contact_method['instagram'] = __( 'Instagram Url', 'business-way' );
        $user_contact_method['pinterest'] = __( 'Pinterest Url', 'business-way' );
        $user_contact_method['flickr'] = __( 'Flickr Url', 'business-way' );
        $user_contact_method['tumblr'] = __( 'Tumblr Url', 'business-way' );
        $user_contact_method['vk'] = __( 'VK Url', 'business-way' );
        $user_contact_method['wordpress'] = __( 'WordPress Url', 'business-way' );

        return $user_contact_method;

    }
    add_filter( 'user_contactmethods', 'business_way_user_info_meta_boxes' );

endif;

/**
* Information about users display
*/
if ( !function_exists('business_way_show_users_info') ) :

    function business_way_show_users_info( ) {
        $user_url = get_the_author_meta( 'user_url' );
        $facebook = get_the_author_meta( 'facebook' );
        $twitter = get_the_author_meta( 'twitter' );
        $linkedin = get_the_author_meta( 'linkedin' );
        $youtube = get_the_author_meta( 'youtube' );
        $google_plus = get_the_author_meta( 'google_plus' );
        $instagram = get_the_author_meta( 'instagram' );
        $pinterest = get_the_author_meta( 'pinterest' );
        $flickr = get_the_author_meta( 'flickr' );
        $tumblr = get_the_author_meta( 'tumblr' );
        $vk = get_the_author_meta( 'vk' );
        $wordpress = get_the_author_meta( 'wordpress' );
        ?>
        <ul class="socials">
            <?php
            if ( !empty( $user_url ) ) { ?>
                <li class="facebook">
                    <a href="<?php echo esc_url( $user_url ); ?>" data-title="Website" target="_blank"><i class="fa fa-external-link"></i></a>
                </li>
            <?php }
            if ( !empty( $facebook ) ) { ?>
                <li class="facebook">
                    <a href="<?php echo esc_url( $facebook ); ?>" data-title="Facebook" target="_blank"><i class="fa fa-facebook"></i></a>
                </li>
            <?php }
            if ( !empty( $twitter ) ) { ?>
                <li class="twitter">
                    <a href="<?php echo esc_url( $twitter ); ?>" data-title="Twitter" target="_blank"><i class="fa fa-twitter"></i></a>
                </li>
            <?php }
            if ( !empty( $linkedin ) ) {
                ?>
                <li class="linkedin">
                    <a href="<?php echo esc_url( $linkedin ); ?>" data-title="Linkedin" target="_blank"><i class="fa fa-linkedin"></i></a>
                </li>
                <?php
            }
            if ( !empty( $instagram) ) {
                ?>
                <li class="instagram">
                    <a href="<?php echo esc_url( $instagram); ?>" data-title="Instagram" target="_blank"><i class="fa fa-instagram"></i></a>
                </li>
                <?php
            }
            if ( !empty( $youtube ) ) { ?>
                <li class="youtube">
                    <a href="<?php echo esc_url( $youtube ); ?>" data-title="Youtube" target="_blank"><i class="fa fa-youtube"></i></a>
                </li>
                <?php
            }
            if ( !empty( $google_plus ) ) {
                ?>
                <li class="google-plus">
                    <a href="<?php echo esc_url( $google_plus ); ?>" data-title="Google Plus" target="_blank"><i class="fa fa-google-plus"></i></a>
                </li>
                <?php
            }
            if ( !empty( $pinterest ) ) {
                ?>
                <li class="pinterest">
                    <a href="<?php echo esc_url( $pinterest ); ?>" data-title="Pinterest" target="_blank"><i class="fa fa-pinterest"></i></a>
                </li>
                <?php
            }
            if ( !empty( $flickr ) ) {
                ?>
                <li class="flickr">
                    <a href="<?php echo esc_url( $flickr ); ?>" data-title="Flickr" target="_blank"><i class="fa fa-flickr"></i></a>
                </li>
                <?php
            }
            if ( !empty( $tumblr ) ) {
                ?>
                <li class="tumblr">
                    <a href="<?php echo esc_url( $tumblr ); ?>" data-title="Tumblr" target="_blank"><i class="fa fa-tumblr"></i></a>
                </li>
                <?php
            }
            if ( !empty( $vk ) ) {
                ?>
                <li class="vk">
                    <a href="<?php echo esc_url( $vk ); ?>" data-title="VK" target="_blank"><i class="fa fa-vk"></i></a>
                </li>
                <?php
            }
            if ( !empty( $wordpress ) ) {
                ?>
                <li class="vk">
                    <a href="<?php echo esc_url( $wordpress ); ?>" data-title="WordPress" target="_blank"><i class="fa fa-wordpress"></i></a>
                </li>
                <?php
            }
            ?>
        </ul>
        <?php
    }
endif;
add_action( 'business_way_users_info_action', 'business_way_show_users_info', 10 );


/**
 * Post Navigation Function
 *
 * @since Business Way 1.0.0
 *
 * @param null
 * @return void
 *
 */
if (!function_exists('business_way_posts_navigation')) :
    function business_way_posts_navigation()
    {
        $pagination_types = business_way_get_option( 'business_way_blog_pagination_types' );

        if ('default' == $pagination_types) {
            the_posts_navigation();
        }elseif('numeric' == $pagination_types){
            echo"<ul class='pagination'>";
            global $wp_query;
            $big = 999999999; // need an unlikely integer
            echo paginate_links(array(
                'base' => str_replace($big, '%#%', esc_url(get_pagenum_link($big))),
                'format' => '?paged=%#%',
                'current' => max(1, get_query_var('paged')),
                'total' => $wp_query->max_num_pages,
                'prev_text' => __('&laquo; Prev', 'business-way'),
                'next_text' => __('Next &raquo;', 'business-way'),
            ));
            echo"</ul>";
        }else{
            return false;
        }
    }
endif;
add_action('business_way_action_navigation', 'business_way_posts_navigation', 10);

/**
 * Recommended plugins
 *
 * @package Business Way
 */
if ( ! function_exists( 'business_way_recommended_plugins' ) ) :
    /**
     * Recommend plugins.
     *
     * @since 1.0.0
     */
    function business_way_recommended_plugins() {
        $plugins = array(
            array(
                'name'     => esc_html__( 'One Click Demo Import', 'business-way' ),
                'slug'     => 'one-click-demo-import',
                'required' => false,
            ),
            array(
                'name'     => esc_html__( 'Contact Us', 'business-way' ),
                'slug'     => 'contact-form-7',
                'required' => false,
            ),

            array(
                'name'     => esc_html__( 'WooCommerce', 'business-way' ),
                'slug'     => 'woocommerce',
                'required' => false,
            ),

           
        );
        tgmpa( $plugins );
    }
endif;
add_action( 'tgmpa_register', 'business_way_recommended_plugins' );
