<?php
/**
 * Dynamic css
 *
 * @package Canyon Themes
 * @subpackage Business Way
 *
 * @param null
 * @return void
 *
 */
if ( !function_exists('business_way_dynamic_css') ):
    function business_way_dynamic_css(){
    $business_way_top_header_color        = esc_attr( business_way_get_option('business_way_top_header_background_color') );
    $business_way_top_header_text_color   = esc_attr( business_way_get_option('business_way_top_header_text_color') );
    $business_way_top_header_button_color = esc_attr( business_way_get_option('business_way_top_header_button_color') );
    $business_way_menu_background_color   = esc_attr( business_way_get_option('business_way_menu_background_color') );
    $business_way_menu_text_color         = esc_attr( business_way_get_option('business_way_menu_text_color') );
    $business_way_menu_text_hover_color   = esc_attr( business_way_get_option('business_way_menu_text_hover_color') );
    $business_way_top_footer_color        = esc_attr( business_way_get_option('business_way_top_footer_background_color') );
    $business_way_topfooter_text_color    = esc_attr( business_way_get_option('business_way_topfooter_text_color') );
    $business_way_bottom_footer_color     = esc_attr( business_way_get_option('business_way_bottom_footer_background_color') );
    $business_way_bootomfooter_text_color = esc_attr( business_way_get_option('business_way_footer_text_color') );
    $business_way_primary_color           = esc_attr( business_way_get_option('business_way_primary_color') );
    $business_way_slider_text_color       = esc_attr( business_way_get_option('business_way_slider_text_color') );
    $business_way_slider_button_1_color   = esc_attr( business_way_get_option('business_way_slider_button_1_color') );
    $business_way_slider_button_2_color   = esc_attr( business_way_get_option('business_way_slider_button_2_color') );
    $business_way_link_hover_color        = esc_attr( business_way_get_option('business_way_link_hover_color') );
    $business_way_link_color              = esc_attr( business_way_get_option('business_way_link_color') );
    $business_way_heading_text_color      = esc_attr( business_way_get_option('business_way_heading_text_color') );

    /*====================Paragraph Typography=====================*/
    $business_way_paragraph_font_family_name   =  esc_attr( business_way_get_option('business_way_paragraph_font_family_name') );
    $business_way_paragraph_font_size          =  esc_attr( business_way_get_option('business_way_paragraph_font_size') );
    $business_way_paragraph_font_weight        =  esc_attr( business_way_get_option('business_way_paragraph_font_weight') );
    $business_way_paragraph_line_height   =  esc_attr( business_way_get_option('business_way_paragraph_line_height') );
    $business_way_paragraph_letter_spacing     =  esc_attr( business_way_get_option('business_way_paragraph_letter_spacing') );


    /*====================Site Title Typography=====================*/
    $business_way_site_title_font_family_name  =  esc_attr( business_way_get_option('business_way_site_title_font_family_name') );
    $business_way_site_title_font_size         =    esc_attr( business_way_get_option('business_way_site_title_font_size') );
    $business_way_site_title_font_weight       =    esc_attr( business_way_get_option('business_way_site_title_font_weight') );
    $business_way_site_title_letter_spacing    =  esc_attr( business_way_get_option('business_way_site_title_letter_spacing') );

    /*==================== Site Tagline Typography=====================*/
    $business_way_tagline_font_family_name   =   esc_attr( business_way_get_option('business_way_tagline_font_family_name') );
    $business_way_tagline_font_size          =   esc_attr( business_way_get_option('business_way_tagline_font_size') );
    $business_way_tagline_font_weight        =   esc_attr( business_way_get_option('business_way_tagline_font_weight') );
    $business_way_tagline_letter_spacing     =   esc_attr( business_way_get_option('business_way_tagline_letter_spacing') );  

    /*====================Heading H1 Typography=====================*/

    $business_way_h1_font_family_name   =   esc_attr( business_way_get_option('business_way_h1_font_family_name') );
    $business_way_h1_font_size          =   esc_attr( business_way_get_option('business_way_h1_font_size') );
    $business_way_h1_font_weight        =   esc_attr( business_way_get_option('business_way_h1_font_weight') );
    $business_way_h1_letter_spacing     =   esc_attr( business_way_get_option('business_way_h1_letter_spacing') );

    /*====================Heading H2 Typography=====================*/

    $business_way_h2_font_family_name   =    esc_attr( business_way_get_option('business_way_h2_font_family_name') );
    $business_way_h2_font_size          =    esc_attr( business_way_get_option('business_way_h2_font_size') );
    $business_way_h2_font_weight        =    esc_attr( business_way_get_option('business_way_h2_font_weight') );
    $business_way_h2_letter_spacing     =    esc_attr( business_way_get_option('business_way_h2_letter_spacing') );

    /*====================Heading H3 Typography=====================*/
    $business_way_h3_font_family_name   =    esc_attr( business_way_get_option('business_way_h3_font_family_name') );
    $business_way_h3_font_size          =    esc_attr( business_way_get_option('business_way_h3_font_size') );
    $business_way_h3_font_weight        =    esc_attr( business_way_get_option('business_way_h3_font_weight') );
    $business_way_h3_letter_spacing     =    esc_attr( business_way_get_option('business_way_h3_letter_spacing') );

    /*====================Heading H4 Typography=====================*/
    $business_way_h4_font_family_name   =   esc_attr( business_way_get_option('business_way_h4_font_family_name') );
    $business_way_h4_font_size          =   esc_attr( business_way_get_option('business_way_h4_font_size') );
    $business_way_h4_font_weight        =   esc_attr( business_way_get_option('business_way_h4_font_weight') );
    $business_way_h4_letter_spacing     =   esc_attr( business_way_get_option('business_way_h4_letter_spacing') );

    /*====================Heading H5 Typography=====================*/
    $business_way_h5_font_family_name   =   esc_attr( business_way_get_option('business_way_h5_font_family_name') );
    $business_way_h5_font_size          =   esc_attr( business_way_get_option('business_way_h5_font_size') );
    $business_way_h5_font_weight        =   esc_attr( business_way_get_option('business_way_h5_font_weight') );
    $business_way_h5_letter_spacing     =   esc_attr( business_way_get_option('business_way_h5_letter_spacing') );   

    /*====================Heading H6 Typography=====================*/
    $business_way_h6_font_family_name   =   esc_attr( business_way_get_option('business_way_h6_font_family_name') );
    $business_way_h6_font_size          =   esc_attr( business_way_get_option('business_way_h6_font_size') );
    $business_way_h6_font_weight        =   esc_attr( business_way_get_option('business_way_h6_font_weight') );
    $business_way_h6_letter_spacing     =   esc_attr( business_way_get_option('business_way_h6_letter_spacing') );   

    /*====================Menu Typography=====================*/
    $business_way_menu_font_family_name =   esc_attr( business_way_get_option('business_way_menu_font_family_name') );
    $business_way_menu_font_size        =   esc_attr( business_way_get_option('business_way_menu_font_size') );
    $business_way_menu_font_weight      =   esc_attr( business_way_get_option('business_way_menu_font_weight') );
    $business_way_menu_line_height      =   esc_attr( business_way_get_option('business_way_menu_line_height') );      
    $custom_css                  = '';
    /*====================Dynamic Css =====================*/
    /*==================== Site Title Typography=====================*/
    $custom_css .= ".site-title a, p.site-title a {
            font-family: "      . $business_way_site_title_font_family_name . ";
            font-size: "        . $business_way_site_title_font_size .'px'.";
            font-weight: "      . $business_way_site_title_font_weight . ";
            letter-spacing: "   . $business_way_site_title_letter_spacing .'px'."; 
        }";
    /*==================== Site Tagline Typography=====================*/
      $custom_css .= "p.site-description{
             font-family: "      . $business_way_tagline_font_family_name . ";
             font-size: "        . $business_way_tagline_font_size .'px'.";
             font-weight: "      . $business_way_tagline_font_weight . ";
             letter-spacing: "   . $business_way_tagline_letter_spacing .'px'."; 

        }";
    /*==================== Heading H1 Typography=====================*/
      $custom_css .= "h1 a, h1 {
             font-family: "      . $business_way_h1_font_family_name . ";
             font-size: "        . $business_way_h1_font_size .'px'.";
             font-weight: "      . $business_way_h1_font_weight . ";
             letter-spacing: "   . $business_way_h1_letter_spacing .'px'."; 
        }"; 
    /*==================== Heading H2 Typography=====================*/
      $custom_css .= "h2 a, h2 {
             font-family: "      . $business_way_h2_font_family_name . ";
             font-size: "        . $business_way_h2_font_size .'px'.";
             font-weight: "      . $business_way_h2_font_weight . ";
             letter-spacing: "   . $business_way_h2_letter_spacing .'px'.";
           }
        "; 

    /*==================== Heading H3 Typography=====================*/

      $custom_css .= "h3 a, h3 {
             font-family: "      . $business_way_h3_font_family_name . ";
             font-size: "        . $business_way_h3_font_size .'px'.";
             font-weight: "      . $business_way_h3_font_weight . ";
             letter-spacing: "   . $business_way_h3_letter_spacing .'px'.";
           }
        ";      

   /*==================== Heading H4 Typography=====================*/
      $custom_css .= "h4 a, h4 {

             font-family: "      . $business_way_h4_font_family_name . ";
             font-size: "        . $business_way_h4_font_size .'px'.";
             font-weight: "      . $business_way_h4_font_weight . ";
             letter-spacing: "   . $business_way_h4_letter_spacing .'px'."; 
           }
        ";

  /*==================== Heading H5 Typography=====================*/
      $custom_css .= "h5 a, h5 {
             font-family: "      . $business_way_h5_font_family_name . ";         
             font-size: "        . $business_way_h5_font_size .'px'.";
             font-weight: "      . $business_way_h5_font_weight . ";
             letter-spacing: "   . $business_way_h5_letter_spacing .'px'.";

           }
        "; 

 /*==================== Heading H6 Typography=====================*/

      $custom_css .= "h6 a, h6 {
             font-family: "      . $business_way_h6_font_family_name . ";
             font-size: "        . $business_way_h6_font_size .'px'.";
             font-weight: "      . $business_way_h6_font_weight . ";
             letter-spacing: "   . $business_way_h6_letter_spacing .'px'."; 
           }
        ";     
   /*==================== Menu Typography=====================*/

      $custom_css .= " .main-navigation ul li a  {
             font-family: "      . $business_way_menu_font_family_name . ";
             font-size: "        . $business_way_menu_font_size .'px'.";
             font-weight: "      . $business_way_menu_font_weight . ";
             line-height: "      . $business_way_menu_line_height .'em'."; 
           }
        ";      

   /*==================== Paragraph Typography=====================*/
  $custom_css .= "body p, p {
         font-family: "      . $business_way_paragraph_font_family_name . ";
         font-size: "        . $business_way_paragraph_font_size .'px'.";
         font-weight: "      . $business_way_paragraph_font_weight . ";
         line-height: "      . $business_way_paragraph_line_height.'em'.";
         letter-spacing: "   . $business_way_paragraph_letter_spacing.'px'.";
       }

    ";                         


    $custom_css .= ".top-header{
         background-color: " . $business_way_top_header_color . ";}
    ";

    $custom_css .= ".contact-detail2 li a, .header-three li i ,  .top-header, .social-links ul li a::before{
         color: " . $business_way_top_header_text_color . ";}
    ";

    $custom_css .= ".header-three li a {

         background: " . $business_way_top_header_color . ";}
    ";

    $custom_css .= "#main-menu1 nav.navbar.bootsnav{
         background-color: " . $business_way_menu_background_color . ";}
    ";  

    $custom_css .= "#main-menu1 nav.navbar.bootsnav ul.nav > li > a{
         color: " . $business_way_menu_text_color . ";}
    ";  

    $custom_css .= "#main-menu1 nav.navbar.bootsnav ul.nav > li > a:hover{
         background: " . $business_way_menu_text_hover_color . ";}
    ";  

     $custom_css .= ".slider-content p,.carousel-inner h1.color-white, .slider .carousel-caption h3, .slider-content h2{
         color: " . $business_way_slider_text_color . ";}
    ";


   $custom_css .= ".slider-content .btn-default, .slider-content .btn-default:hover{
         background: " . $business_way_slider_button_1_color . ";}
    ";

     $custom_css .= ".slider-content .button_text_2 .btn-default, .slider-content .button_text_2 .btn-default:hover{
         background: " . $business_way_slider_button_2_color . ";}
    ";

    $custom_css .= " .footer-top ul li a, .footer-top p, h2.widget-title, .welcome h2 {
         color: " . $business_way_topfooter_text_color . ";}
    ";

   $custom_css .= " .footer-bottom .copyright, .footer-credit p, .footer-bottom p{
         color: " . $business_way_bootomfooter_text_color . ";}
    ";

     $custom_css .= ".footer-top{
         background-color: " . $business_way_top_footer_color . ";}
    ";

    $custom_css .= "#footer-bottom{
         background-color: " . $business_way_bottom_footer_color . ";}
    ";

   $custom_css .= ".footer-bottom .widget-area .widget ul li a {
         color: " . $business_way_bottom_footer_color . ";}

    ";

    $custom_css .= ".section-0-background,
     .btn-primary,#test-slide .owl-nav [class*=owl-],.mission-content .btn-default,
     hr,.scroll-top,.portfolioFilter a:hover, .portfolioFilter a.current,
     header .dropdown-menu > li > a:hover,
     .dropdown-menu > .active > a, 
     .dropdown-menu > .active > a:focus, 
     .dropdown-menu > .active > a:hover,
     button, 
     .comment-reply-link, 
     input[type='button'], 
     input[type='reset'], 
     input[type='submit'],
     .section-1-box-icon-background,
     #quote-carousel a.carousel-control,
     header .navbar-toggle,
     .section-10-background,
     .footer-top .submit-bgcolor,
     .section1 .border::before,
     .section1 .border::after,
     .portfolioFilter a.current,
     #section-12 .filter-box .lower-box a i,
     .section-2-box-left .border.left::before,
     .section-2-box-left .border::after,
     .comments-area .submit,
     .inner-title,.woocommerce span.onsale,
     .woocommerce nav.woocommerce-pagination ul li a:focus,
     .woocommerce nav.woocommerce-pagination ul li a:hover,
     .woocommerce nav.woocommerce-pagination ul li span.current,
     .woocommerce a.button, .woocommerce #respond input#submit.alt, 
     .search-toggle,
     .comments-area .comment-body .reply a,
     .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt
      {
       background-color: " . $business_way_primary_color . ";}
    ";

    $custom_css .= "
    .section-4-box-icon-cont i,
    header .navbar-menu .navbar-nav > li > a:active,
    header .navbar-menu .navbar-nav>.open>a,
    header .navbar-menu .navbar-nav>.open>a:focus,
    header .navbar-menu .navbar-nav>.open>a:hover,
    .btn-seconday,
    a:visited,
    .menu-top-container ul li a:hover,
    .section-14-box h3 a:hover,
    .section-14-box .date span, 
    .section-14-box .author-post a,
    .btn-primary:hover,
    .widget ul li a:hover,
    .footer-top ul li a:hover,
    .section-0-btn-cont .btn:hover,
    .footer-top .widget_recent_entries ul li:hover:before,
    .footer-top .widget_nav_menu ul li:hover:before,
    .footer-top .widget_archive ul li:hover:before,
    .navbar-default .navbar-nav > .active > a, 
    .comments-area .comment-body .comment-metadata time,
    .navbar-default .navbar-nav > .active > a:focus, 
    .navbar-default .navbar-nav > .active > a:hover, .widget li a:before
    {
        color: " . $business_way_primary_color . ";}
    ";

    $custom_css .= ".section-14-box .underline,
   .item blockquote img,
   .widget .widget-title,
   .btn-primary,
   .portfolioFilter a,
   .btn-primary:hover,
   button, 
   .comment-reply-link, 
   input[type='button'], 
   input[type='reset'], 
   input[type='submit'],
   .testimonials .content .avatar,
   #quote-carousel .carousel-control.left, 
   #quote-carousel .carousel-control.right,
   header .navbar-menu .navbar-right .dropdown-menu,
   .woocommerce nav.woocommerce-pagination ul li a:focus,
   .woocommerce nav.woocommerce-pagination ul li a:hover,
   .woocommerce nav.woocommerce-pagination ul li span.current
   .woocommerce a.button, .woocommerce #respond input#submit.alt, 
   .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt
   {
       border-color: " . $business_way_primary_color . ";}
    ";

   $custom_css .= ".widget .search-block button
   {
       background: " . $business_way_primary_color . ";}
    ";

  
   // Link Color

   $custom_css .= " p a
   {
       color: " . $business_way_link_color . ";}
    ";


   // Link Hover color

   $custom_css .= ".chose-block:hover .chose-text h5:hover, .feature-txt a h5:hover,.services-block a h4:hover,.news-text a h4:hover
   {
       color: " . $business_way_link_hover_color . ";}
    ";


// Heading H1-H6 Text Color

   $custom_css .= " h1, h1 a, h2, h2 a, h3, h3 a, h4, h4 a, h5, h5 a, h6, h6 a
   {
       color: " . $business_way_heading_text_color . ";}
    ";


    /*------------------------------------------------------------------------------------------------- */
    /*custom css*/
    wp_add_inline_style('business-way-style', $custom_css);
}
endif;
add_action('wp_enqueue_scripts', 'business_way_dynamic_css', 99);