<?php 
/**
 * The template for displaying header type 1.
 *
 * This is the template that displays header type 1.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Canyon Themes
 * @subpackage Business Way
 */
$h1_contact_form   = wp_kses_post(business_way_get_option('business_way_header_contact_form'));
$h1_contact_text   = esc_html(business_way_get_option('business_way_header_contact_form_text'));
$h1_contact_icon   = esc_attr(business_way_get_option('business_way_header_contact_icon'));
$h1_location_text  = esc_html(business_way_get_option('business_way_header_location_text'));
$h1_location_sub   = esc_html(business_way_get_option('business_way_header_location_sub_text'));
$h1_location_icon  = esc_attr(business_way_get_option('business_way_header_location_icon'));
$h1_phone_number   = esc_html(business_way_get_option('business_way_header_phone_number'));
$h1_phone_sub      = esc_html(business_way_get_option('business_way_header_phone_number_sub_text'));
$h1_phone_icon     = esc_attr(business_way_get_option('business_way_header_phone_icon'));

?>
<div id="header-two" class="header-two head">
	<?php do_action('business_way_top_header'); ?>
			<div class="container">
				<div class="headtop pull-left">
					<div class="navbar-header">
					  <?php do_action('business_way_main_logo_box'); ?>
					</div>
				</div>
				<div class="right-panel pull-right">
					<ul>
						<?php if(!empty($h1_location_icon || $h1_location_text || $h1_location_sub)){ ?>
							<li><i class="fa <?php esc_attr_e($h1_location_icon); ?>"></i> 
								<p><strong><?php echo esc_html($h1_location_text); ?></strong><br><?php echo $h1_location_sub; ?></p>
							</li>
						<?php } ?>
						<?php if(!empty($h1_phone_icon || $h1_phone_number || $h1_phone_sub)){ ?>
							<li><i class="fa <?php esc_attr_e($h1_phone_icon); ?>"></i> 
								<p><strong><?php echo $h1_phone_number; ?></strong><br><?php echo esc_html($h1_phone_sub); ?></p>
							</li>
						<?php } ?>
						<?php if(!empty($h1_contact_text)){ ?> 
							<li>
								<a href="#"><i class="fa <?php esc_attr_e($h1_contact_icon);?>"></i><?php echo esc_html($h1_contact_text) ; ?></a>
							</li>
						<?php } ?>
					</ul>
				</div>
			</div>
		<div id="main-menu1">
			<div class="wrap-sticky">
				<nav class="navbar navbar-default navbar-sticky bootsnav on no-full">
				<div class="container">
					<div class="container-fluid">
						<?php do_action('business_way_main_navigation'); ?>
						<!-- Collect the nav links, forms, and other content for toggling -->
						<div class="search-box-outer">
		                    <div class="dropdown">
								<?php
		                            //load cart action
		                            do_action('business_way_woo_cart_hook');
		                            //load search icon in header.
		                            do_action('header_search_icon');
		                        ?>
		                    </div>
						</div>
					</div>
				</div>
			</nav></div>
		</div>
	</div>
